%global build_date 20130405

Summary:        A library of SAT solvers written in Java
Name:           sat4j
Version:        2.3.5
Release:        6%{?dist}

License:        EPL-1.0 or LGPLv2
URL:            http://www.sat4j.org/
#svn co svn://svn.forge.objectweb.org/svnroot/sat4j/maven/tags/org.ow2.sat4j.pom-2.3.5 .
#find . -name *.jar -delete
#tar -caf $tar_name.tar.xz $tar_name
Source0:        sat4j-%{version}.tar.xz

Patch3000:      0001-Fix-runtime-classpath-and-minimum-BREE.patch

BuildRequires: ant javapackages-local

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
The aim of the SAT4J library is to provide an efficient library of SAT
solvers in Java. The SAT4J library targets first users of SAT "black
boxes", those willing to embed SAT technologies into their application
without worrying about the details.

%prep
%autosetup -p1 -n sat4j-%{version}

%build
export ANT_OPTS="-Dfile.encoding=iso-8859-1"
ant -Dbuild.compiler=modern -Drelease=%{version} \
 -Dtarget=1.8 -Dsource=1.8 -DBUILD_DATE=%{build_date} p2

%mvn_artifact "org.ow2.sat4j:org.ow2.sat4j.core::%{version}" dist/%{version}/org.sat4j.core.jar
%mvn_artifact "org.ow2.sat4j:org.ow2.sat4j.pb::%{version}" dist/%{version}/org.sat4j.pb.jar
%mvn_file ":org.ow2.sat4j.core" org.sat4j.core
%mvn_file ":org.ow2.sat4j.pb" org.sat4j.pb

%install
%mvn_install

%files -f .mfiles

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.5-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 cunshunxia <cunshunxia@tencent.com> - 2.3.5-1
- initial build
